Bug 229262 - CVE-2007-0999 Ekiga format string flaw (CVE-2007-1006)
Summary: CVE-2007-0999 Ekiga format string flaw (CVE-2007-1006)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ekiga (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard: impact=critical,source=secunia,report...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 20:13 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2007-0087
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 14:59:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0087 normal SHIPPED_LIVE Critical: ekiga security update 2007-03-14 14:59:16 UTC

Description Josh Bressers 2007-02-19 20:13:04 UTC
+++ This bug was initially created as a clone of Bug #229259 +++

A format string flaw was found in the way Ekiga processes certain messages form
remote clients.  This flaw could allow a remote attacker to execute arbitrary
code as the user running Ekiga.

This flaw also affects FC5

-- Additional comment from bressers@redhat.com on 2007-02-19 15:01 EST --
Created an attachment (id=148361)
Upstream patch extracted from SVN

Comment 4 Søren Sandmann Pedersen 2007-03-01 00:20:33 UTC
They are building now, task  

   http://brewweb.devel.redhat.com/brew/taskinfo?taskID=637346

I wasn't sure whether these would go into -qu-candiate or -candiate, so I took a
guess.


Comment 6 Mark J. Cox 2007-03-05 16:34:00 UTC
failed qa as there is a double vsnprintf which strips the first %s.  Looks like
a bug.  Possible fix: 

--- main.cpp.orig       2007-03-05 11:31:49.000000000 -0500
+++ main.cpp    2007-03-05 11:33:02.000000000 -0500
@@ -4233,8 +4233,6 @@
 {
   GmWindow *mw = NULL;
 
-  char buffer [1025];
-
   g_return_if_fail (main_window != NULL);
 
   mw = gm_mw_get_mw (main_window);
@@ -4242,8 +4240,7 @@
   va_list args;
 
   va_start (args, msg);
-  vsnprintf (buffer, 1024, msg, args);
-  gm_statusbar_flash_message (GM_STATUSBAR (mw->statusbar), buffer);
+  gm_statusbar_flash_message (GM_STATUSBAR (mw->statusbar), msg, args);
   va_end (args);
 }


Comment 7 Søren Sandmann Pedersen 2007-03-05 20:00:27 UTC
New packages that will hopefully fix - see ekiga-2_0_2-7_0_1

Comment 8 Mark J. Cox 2007-03-07 09:35:46 UTC
Failed qa due to a double vsnprintf which opened up the format string flaws; so
CVE-2007-0999 for the new format string flaws.

CVE-2007-0999
impact=critical,source=redhat,reported=20070306,public=20070306

Comment 12 Red Hat Bugzilla 2007-03-14 14:59:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0087.html



Note You need to log in before you can comment on or make changes to this bug.